4.3
CVSSv2

CVE-2019-9580

Published: 09/03/2019 Updated: 12/03/2019
CVSS v2 Base Score: 4.3 | Impact Score: 2.9 | Exploitability Score: 8.6
CVSS v3 Base Score: 6.1 | Impact Score: 2.7 | Exploitability Score: 2.8
VMScore: 383
Vector: AV:N/AC:M/Au:N/C:N/I:P/A:N

Vulnerability Summary

In st2web in StackStorm Web UI prior to 2.9.3 and 2.10.x prior to 2.10.3, it is possible to bypass the CORS protection mechanism via a "null" origin value, potentially leading to XSS.

Vulnerability Trend

Affected Products

Vendor Product Versions
StackstormStackstorm0.8.0, 0.8.1, 0.8.2, 0.8.3, 0.9.0, 0.9.1, 0.9.2, 0.11.0, 0.11.1, 0.11.2, 0.11.3, 0.11.4, 0.11.5, 0.11.6, 0.12.0, 0.12.1, 0.12.2, 0.12.3, 0.13.0, 0.13.1, 0.13.2, 1.1.0, 1.1.1, 1.2.0, 1.3.0, 1.3.1, 1.3.2, 1.4.0, 1.5.0, 1.5.1, 1.6.0, 2.0.0, 2.0.1, 2.1.0, 2.1.1, 2.2.0, 2.2.1, 2.3.0, 2.3.1, 2.3.2, 2.4.0, 2.4.1, 2.5.0, 2.5.1, 2.6.0, 2.7.0, 2.7.1, 2.7.2, 2.8.0, 2.8.1, 2.9.0, 2.9.1, 2.9.2, 2.10.0, 2.10.1, 2.10.2

Github Repositories

CVE-2019-9580 - StackStorm exploiting CORS null origin to gain RCE < 293 and 2103 Prior to 2103/293, if the origin of the request was unknown, we would return null null can result in a successful request from an unknown origin in some clients Allowing the possibility of XSS style attacks against the StackStorm API found by Barak Tawily and Anna Tsibulskaya